using SdbS.Model;
using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SdbS.View_Guest.Pages
{
    /// <summary>
    /// Логика взаимодействия для Types.xaml
    /// </summary>
    public partial class Types : Page
    {
        /* Класс со свойствами для передачи их данных в кастомный ListBox */
        public class DataTypes
        {
            public string Name { get; set; }
            public string Type { get; set; }
            //public byte[] Photo { get; set; }
            public System.DateTime MakingDate { get; set; }

            // Создание временного списка для поиска 
            public static List<object> tempItems = new List<object>();
        }

        public Types()
        {
            InitializeComponent();

            // Передача reader`а в переменную для чтения данных из таблицы //
            SqlDataReader reader = Metods_TypeMachines.GetReader_DefaultListBox();

            // Формирование списка для ListBox
            while (reader.Read())
            {
                listBox_TypeMachines.Items.Add(
                new DataTypes()
                {
                    Name = reader["name"].ToString()
                });
            }

            reader.Close();
            CommonClass.GetConnection().Close();
        }
    }
}
